package com.maintain.business.service;

import com.maintain.business.domain.ErpSettlementMaterial;
import com.maintain.business.domain.vo.ErpSettlementMaterialVo;
import com.maintain.business.domain.bo.ErpSettlementMaterialBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 结算物料Service接口
 *
 * @author liushuai
 * @date 2025-04-16
 */
public interface IErpSettlementMaterialService {

    /**
     * 查询结算物料
     */
    ErpSettlementMaterialVo queryById(Long id);

    /**
     * 查询结算物料列表
     */
    TableDataInfo<ErpSettlementMaterialVo> queryPageList(ErpSettlementMaterialBo bo, PageQuery pageQuery);

    /**
     * 查询结算物料列表
     */
    List<ErpSettlementMaterialVo> queryList(ErpSettlementMaterialBo bo);

    /**
     * 新增结算物料
     */
    Boolean insertByBo(ErpSettlementMaterialBo bo);

    /**
     * 修改结算物料
     */
    Boolean updateByBo(ErpSettlementMaterialBo bo);

    /**
     * 校验并批量删除结算物料信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
